RealEstate/APPlication/RealEstate/Controllers/LeaveController.cs
using RealEstate.Config;
using RealEstate.Database.Entity;
using RealEstate.Database.Service;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RealEstate.Controllers
{
    [CustomAuthorizationFilter]
    public class LeaveController : Controller
    {
        // GET: Leave
        private readonly IMA_Leave_Service MA_Leave_Service;
        public LeaveController()
        {
            MA_Leave_Service = new MA_Leave_Service();
        }
        public ActionResult Index()
        {
            return View(MA_Leave_Service.GetAll());
        }

        public ActionResult AddEditLeave(int id = 0)
        {
            var model = new MA_Leave();
            if (id != 0)
            {
                model = MA_Leave_Service.Get(id);
            }
            return View(model);
        }

        [HttpPost]
        public ActionResult AddEditLeave(MA_Leave model)
        {
            if (ModelState.IsValid)
            {
                var result = MA_Leave_Service.AddEditLeave(model);
                if (result.Success)
                    return RedirectToAction("Index");
                else
                    return View(model);
            }
            return View(model);

        }
        public ActionResult DeleteLeave(int id)
        {
            var result = MA_Leave_Service.DeleteLeave(id);
            return RedirectToAction("Index");
        }
    }
}

RealEstate/APPlication/RealEstate/Views/Leave/AddEditLeave.cshtml
@model RealEstate.Database.Entity.MA_Leave

    @{
        ViewBag.Title = "Add Edit Leave";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }

    @using (Html.BeginForm("AddEditLeave", "Leave", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })


        <div class="row _user_salary">

            <div class="col-xl-12">
                <div class="card bg-white text-black mb-1">
                    @*<div class="card-header text-left">
                            Salary Detail
                        </div>*@
                    <div class="card-body text-center">

                        <div class="row" style="margin-top:1em;">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.LabelFor(model => model.IsPaid, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.EditorFor(model => model.IsPaid, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.IsPaid, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" style="margin-top:1em;">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.LabelFor(model => model.FromDate, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.EditorFor(model => model.FromDate, new { htmlAttributes = new { @class = "form-control datepicker", autocomplete = "off" } })
                                        @Html.ValidationMessageFor(model => model.FromDate, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            @*<div class="col-sm-6">
                                    <div class="form-group">
                                        @Html.LabelFor(model => model.ToDate, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                        <div class="col-md-7 float-right">
                                            @Html.EditorFor(model => model.ToDate, new { htmlAttributes = new { @class = "form-control datepicker" } })
                                            @Html.ValidationMessageFor(model => model.ToDate, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                                </div>*@
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <div class="card bg-white text-black mb-1">
                    <div class="card-body text-center">
                        <div class="text-center">
                            <input type="submit" value="Submit" onclick="showloader(true);" class="btn btn-primary" />
                            <span><a class="btn btn-danger" href="~/Leave/Index">Cancel</a></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
    @section scripts{
        <script type="text/javascript">
        </script>
    }

RealEstate/APPlication/RealEstate/Views/Leave/Index.cshtml
@model IEnumerable<RealEstate.Database.Entity.MA_Leave>
@{
    ViewBag.Title = "Leave List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card mb-4">
    @*<div class="card-header">DataTable Example</div>*@
    <div class="card-body">
        <div class="datatable table-responsive">
            <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <div class="col-sm-12">
                    <table id="example" class="table table-striped">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Date</th>
                                @*<th>To</th>*@
                                <th>Is Paid</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td style="color: blue;"><a href="/Leave/AddEditLeave/@item.Id">@item.Name</a> </td>
                                    <td>@item.FromDate</td>
                                    @*<td>@item.ToDate</td>*@
                                    <td>@item.IsPaid</td>
                                    <td>
                                        <span title="Edit"><a href="/Leave/AddEditLeave/@item.Id"><i class="fas fa-edit"></i></a></span> |
                                        <span title="Delete"><a href="/Leave/DeleteLeave/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                    </td>
                                </tr>
                            }
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="card-footer text-center">
        <a class="btn btn-primary" href="/Leave/AddEditLeave">Add Leave</a>
    </div>
</div>









@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $('#example').DataTable({
                "pagingType": "full_numbers"
            });
        });
    </script>
}